commit:     342a43be91b81155f4c5a6f9696c04b5821444cb
Author:     Henri Gasc <gasc <AT> eurecom <DOT> fr>
AuthorDate: Tue Feb  7 10:19:00 2023 +0000
Commit:     Henri Gasc <gasc <AT> eurecom <DOT> fr>
CommitDate: Wed Feb  8 15:59:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=342a43be

dev-python/codecov: new package, add 2.1.12

Signed-off-by: Henri Gasc <gasc <AT> eurecom.fr>

 dev-python/codecov/Manifest              |  1 +
 dev-python/codecov/codecov-2.1.12.ebuild | 35 ++++++++++++++++++++++++++++++++
 dev-python/codecov/metadata.xml          | 16 +++++++++++++++
 3 files changed, 52 insertions(+)

diff --git a/dev-python/codecov/Manifest b/dev-python/codecov/Manifest
new file mode 100644
index 000000000..2c44531c1
--- /dev/null
+++ b/dev-python/codecov/Manifest
@@ -0,0 +1 @@
+DIST codecov-2.1.12.tar.gz 20866 BLAKE2B 
dbccde91bf2290eb403a9f52583b1bb4629860a200bc4a592e2e2ad48443c77c3de36c02503f3716b16d941016296f20071ab7f34227058ccdc7c7f8d925d909
 SHA512 
9d364844dc864996e7d65d6210c7bca345a67d5aa61bcdd351591f0aeadcd2662101e59449e8a86b8341d9fc840889cb635b2c41c6287001b598ee1647c86b02

diff --git a/dev-python/codecov/codecov-2.1.12.ebuild 
b/dev-python/codecov/codecov-2.1.12.ebuild
new file mode 100644
index 000000000..2d5bfafa7
--- /dev/null
+++ b/dev-python/codecov/codecov-2.1.12.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Hosted coverage reports for GitHub, Bitbucket and Gitlab"
+HOMEPAGE="https://github.com/codecov/codecov-python 
https://pypi.org/project/codecov/";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DOCS=""
+
+RDEPEND=">=dev-python/requests-2.7.9[${PYTHON_USEDEP}]
+       dev-python/coverage[${PYTHON_USEDEP}]"
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+python_test() {
+       py.test -v -v || die
+}
+
+distutils_enable_tests pytest

diff --git a/dev-python/codecov/metadata.xml b/dev-python/codecov/metadata.xml
new file mode 100644
index 000000000..dc0c613d4
--- /dev/null
+++ b/dev-python/codecov/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Andreas Billmeier</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="pypi">codecov</remote-id>
+    <remote-id type="github">codecov/codecov-python</remote-id>
+    <maintainer status="unknown">
+      <email>[email protected]</email>
+      <name>Codecov</name>
+    </maintainer>
+  </upstream>
+</pkgmetadata>

Reply via email to